#ifndef INCLUDE_H_EVENTLISTENER
#define INCLUDE_H_EVENTLISTENER

#include "tstring.hpp"
#include "FileInfo.hpp"

#include "tstring.hpp"

class EventListener
{
public:
	virtual ~EventListener() throw() {}

	virtual void sweepEvent() throw() = 0;
	virtual bool isEventListenerAvailable() const throw() = 0;

	virtual void notifyFileEvent( DWORD v_eventId, const tstring& v_absolutePath, const FileInfo& v_fileInfo ) throw() = 0;
	virtual void notifyEvent( DWORD v_eventId ) throw() = 0;

	virtual tstring getDescription() const throw() = 0;
};

#endif
